appModule.controller('feedBackController', ['$scope', '$ionicPopup', '$stateParams', 'appService', '$state', '$timeout', '$ionicScrollDelegate', '$sce', function($scope, $ionicPopup, $stateParams, appService, $state, $timeout, $ionicScrollDelegate, $sce) {
    $scope.stateName = $state.current.name;//data
    $scope.tabIndex = $stateParams.tabIndex || 0;
    $scope.navs = [
        { name: '纪检公示', icon: 'gongshigongkai', color: 'cgreen2ba245' },
        { name: '纪检反馈', icon: 'fankui', color: 'cyellowff8b13' },
        { name: '民生纪事', icon: 'jishi', color: 'cblue2962af' }
    ];
    $scope.domore = [true, true, true];
    $scope.allArrays = {}
    $scope.pageNext = [0, 0, 0]
    $scope.$on('$ionicView.loaded', function() {
    });
    $scope.queryArray = function(tabindex, page) {
        $scope.$emit('loading', 'show');
        if (tabindex < 2) $scope.feedBack(page)
        if (tabindex == 2) $scope.jishiList(page)
    }
    $scope.jishiList = function(page) {
        if (page < 2) { //页面刷新时为0,下拉刷新时为1
            page = $scope.pageNext[$scope.tabIndex] = 1;
            $scope.jishiArr = null
        }
        $scope.$emit('loading', 'show');
        var data = {
            page: page,
            areaID: $scope.publicCityId,
        }
        appService.getData(urlMap.jishiList, data,
            function(results) {
                $scope.$emit('loading', 'hide');
                $scope.$broadcast('scroll.refreshComplete'); //上拉刷新结束
                $scope.$broadcast('scroll.infiniteScrollComplete'); //懒加载更多结束
                if (!results) return;
                var list = results.resultList, length = list.length, size = results.size,
                    articles = $scope.jishiArr || []
                    ;
                if (length < size) $scope.domore[$scope.tabIndex] = false;
                else {
                    $timeout(function() { $scope.domore[$scope.tabIndex] = true; }, 200)
                }
                if (length > 0) {
                    for (var i = 0; i < length; i++) {
                        var item = list[i];
                        item.summary = item.content && $('<div>' + item.content + '</div>').text().replace(/\s+/g, ' ').slice(0, 500);
                        item.fileType = $scope.thisfileType(item.file);
                        if (item.fileType == 1) {
                            item.file = item.file && '900px_' + item.file;
                            item.thum = item.file && '200px_' + item.file;
                            item.file = $scope.evalRemotePath(item.file);
                            item.thum = $scope.evalRemotePath(item.thum);
                        }
                        if (item.fileType == 2) {
                            item.file = $scope.evalRemotePath(item.file, $.vio);
                            item.file = item.file && $sce.trustAsResourceUrl(item.file)
                        }
                        articles.push(item);
                    }
                }
                $scope.jishiArr = articles;
            });
    }
    $scope.showDetial = function(item) {
        $scope.goState('livelihood', { item: item })
    }
    $scope.setForm = function(b) {
        $scope.$emit('loginFirst', function () {
            $scope.goState('livelihood', { formContent: b })
        })
    }
    $scope.feedBack = function(page) {
        if (page < 2) {
            page = $scope.pageNext[$scope.tabIndex] = 1;
            $scope.allArrays['tab' + $scope.tabIndex] = null
        }
        var data = {
            page: page,
            area_id: $scope.publicCityId,
            backType: $scope.tabIndex + 1
        }
        appService.getData(urlMap.queryFeedBack, data,
            function(results) {
                results = results[0]
                $scope.$emit('loading', 'hide');
                $scope.$broadcast('scroll.infiniteScrollComplete'); //懒加载更多结束
                
                if (page == 1) {
                    $scope.allArrays['tab' + $scope.tabIndex] = null;
                }
                var list = results.resultList, length = list.length, size = results.size,
                    articles = $scope.allArrays['tab' + $scope.tabIndex] || []
                    ;
                if (length < size) $scope.domore[$scope.tabIndex] = false;
                else { $timeout(function() { $scope.domore[$scope.tabIndex] = true; }, 200) }
                if (length > 0) {
                    for (var i = 0; i < length; i++) {
                        var item = list[i];
                        item.fileType = $scope.thisfileType(item.pic_name);
                        if (item.fileType == 1) {
                            item.file = $scope.evalRemotePath(item.pic_name);
                        }
                        if (item.fileType == 2) {
                            item.file = $scope.evalRemotePath(item.pic_name, $.vio);
                            item.file = item.file && $sce.trustAsResourceUrl(item.file)
                        }
                        articles.push(item);
                    }
                }
                $scope.allArrays['tab' + $scope.tabIndex] = articles;
            });
    }
    $scope.onInfinite = function() {
        var n = $scope.tabIndex;
        // if (!$scope.pageNext[n]) return;
        $scope.queryArray(n, ++$scope.pageNext[n]);
    }
    //跳转到详情页面 
    $scope.goDetail = function(item) {
        $state.go('feedBackDetail', { "id": item.id, "areaID": $scope.publicCityId, "flag": $scope.tabIndex });
    }
    $scope.goLivelihood = function() {
        $scope.$emit('loginFirst', function() {
            $scope.goState('livelihood')
        })
    }
}
]);
